The BOOST_PP_OR macro expands to the logical OR of its operands.

#### Usage

BOOST_PP_OR(p, q)

#### Arguments

p
  The left operand of the operation. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
q
  The right operand of the operation. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If either p or q is non-zero, this macro expands to 1. Otherwise, it expands to 0.
This macro performs a boolean conversion on each operand before performing the logical OR operation. If that conversion is not necessary, use BOOST_PP_BITOR instead.

#### See Also

- BOOST_PP_BITOR
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/logical/or.hpp>

#### Sample Code

    #include <boost/preprocessor/logical/or.hpp>

    BOOST_PP_OR(4, 3) // expands to 1
    BOOST_PP_OR(5, 0) // expands to 1